Package org.springframework.security.access.annotation

# Interface AnnotationMetadataExtractor<A extends Annotation>

@Deprecated public interface AnnotationMetadataExtractor<A extends Annotation>
Deprecated.
Used only by now-deprecated classes. Consider `SecuredAuthorizationManager` for `@Secured` methods.
Strategy to process a custom security annotation to extract the relevant `ConfigAttribute`s for securing a method.

Used by `SecuredAnnotationSecurityMetadataSource`.

## Method Summary

Modifier and Type
Method
Description
`Collection<? extends ConfigAttribute>`
`extractAttributes(A securityAnnotation)`
Deprecated.

## Method Details

### extractAttributes

Collection<? extends ConfigAttribute> extractAttributes(A securityAnnotation)
Deprecated.